This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 160705 - Heartbeat/Watchdog Patch for OpenSSH (RFE)
Heartbeat/Watchdog Patch for OpenSSH (RFE)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-16 15:37 EDT by Pete Toscano
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-16 16:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Toscano 2005-06-16 15:37:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.1

Description of problem:
It'd be great to apply the patch from this site to the FC4 openssh packages:

http://www.sc.isc.tohoku.ac.jp/~hgot/sources/openssh-watchdog.html

I'm constantly having longer-running ssh sessions through a NAT firewall dropped due to inactivity.  With this patch, the problem disappears.  I don't know why some (pre-patched) ssh sessions through NATs stay up indefinately while others don't, but this problem fixes that problem.

It's an easy patch to apply.  I'll include my spec file.  The tgz with the patch file is available at the above link.

Version-Release number of selected component (if applicable):
4.0p1-3

How reproducible:
Always

Steps to Reproduce:
1. Ssh to a box on the other side of a Checkpoint firewall.
2. Wait a couple hours.

Actual Results:  Session disappears due to inactivity.

Expected Results:  It should stay up until I exit the session.

Additional info:
Comment 1 Tomas Mraz 2005-06-16 16:04:54 EDT
You can set ServerAliveInterval in ssh_config and ClientAliveInterval in
sshd_config already.

These options apply to protocol 2 only but the protocol 1 shouldn't be normally
used anyway.

Note You need to log in before you can comment on or make changes to this bug.